Skip to main content
GET
/
v1
/
phone-numbers
/
search
Search Available Numbers
curl --request GET \
  --url https://api-tokyo.oneinbox.ai/v1/phone-numbers/search \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-tokyo.oneinbox.ai/v1/phone-numbers/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-tokyo.oneinbox.ai/v1/phone-numbers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-tokyo.oneinbox.ai/v1/phone-numbers/search"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "items": [
    {
      "phone_number": "<string>",
      "friendly_name": "<string>",
      "locality": "<string>",
      "region": "<string>",
      "country": "<string>",
      "capabilities": [
        "<string>"
      ]
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Query Parameters

country
string
default:US
Required string length: 2
area_code
string | null

Area code (US/CA)

contains
string | null

Digits/letters to match

limit
integer
default:20
Required range: 1 <= x <= 50

Response

Successful Response

items
AvailablePhoneNumber · object[]
required